#include <iostream>

class MyClass {
public:
    void print() const { std::cout << "MyClass::print() called\n"; }
};

int main() {
    MyClass* obj = nullptr;
    void (MyClass::*memberFunc)() const = &MyClass::print;

    if (obj == nullptr) {
        std::cout << "obj is null, can't call member function\n";
    } else {
        (obj->*memberFunc)();
    }

    obj = new MyClass();
    (obj->*memberFunc)();

    delete obj;
    return 0;
}
